var quantizeScale = d3.scaleQuantize()
  .domain([0, 100])
  .range(["blue", "white", "red"]);

for (var i = 0 ; i <= 100 ; i += 10) {
  console.log(i, quantizeScale(i));

}

// Has invertExtent(), not invert(), because values have ranges.
["blue", "white", "red"].forEach(color => {
  console.log(quantizeScale.invertExtent(color));
});
